Reverse Phone ID Append
curl --request GET \
--url https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend"
headers = {"loginId": "<loginid>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {loginId: '<loginid>'}};
fetch('https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Score": 100,
"Category": "I ",
"LastName": "CONSUMER",
"FirstName": "JOHN",
"MiddleInitial": "W",
"BusinessName": "",
"Address1": "123 BIRCH ST",
"Address2": "",
"City": "BEAVERTON",
"State": "OR",
"Zip": "97008",
"DPV": "Y",
"Phone": "7075276405",
"Rectype": "R",
"Telconame": "",
"DACode": " ",
"ResponseCode": null
}
Data Enhancement
Reverse Phone ID Append
Appends phone number information based on name and address data
GET
/
v1.4
/
Data
/
PhoneIDAppend
Reverse Phone ID Append
Request
Headers
string
required
Your API Key (LoginId from your DNCScrub account)
Query Parameters
string
required
First name
string
required
Last name
string
required
Street address
string
required
City name
string
required
State abbreviation
string
required
ZIP code
Output parameters
| Field | Description |
|---|---|
Phone | Appended 10-digit phone number |
FirstName | First name associated with the address |
LastName | Last name associated with the address |
MiddleInitial | Middle initial |
BusinessName | Business name if applicable |
Address1 | Primary address line |
Address2 | Secondary address line |
City | City name |
State | State abbreviation |
Zip | ZIP code |
Score | Quality/confidence score |
Category | Classification category |
DPV | Delivery Point Validation code |
Rectype | Record type |
Telconame | Telecommunications company name |
DACode | Delivery Area code |
Example Request
curl --location --request GET \
'https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend
?FirstName=John
&LastName=Consumer
&Address1=123%20Birch%20St
&City=Beaverton
&State=OR
&Zip=97008' \
--header 'loginId: YOUR_API_KEY'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend?FirstName=John&LastName=Consumer&Address1=123%20Birch%20St&City=Beaverton&State=OR&Zip=97008',
{
method: 'GET',
headers: {
'loginId': 'YOUR_API_KEY'
}
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var response = await client.GetAsync(
"https://dataapi.dncscrub.com/v1.4/Data/PhoneIDAppend?FirstName=John&LastName=Consumer&Address1=123%20Birch%20St&City=Beaverton&State=OR&Zip=97008"
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
{
"Score": 100,
"Category": "I ",
"LastName": "CONSUMER",
"FirstName": "JOHN",
"MiddleInitial": "W",
"BusinessName": "",
"Address1": "123 BIRCH ST",
"Address2": "",
"City": "BEAVERTON",
"State": "OR",
"Zip": "97008",
"DPV": "Y",
"Phone": "7075276405",
"Rectype": "R",
"Telconame": "",
"DACode": " ",
"ResponseCode": null
}
⌘I